<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Inherit Diagram</TITLE>
<link href="suif1_110.html" rel=Next>
<link href="suif1_108.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_108.html">previous</A>, <A HREF="suif1_110.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC109" HREF="suif1_toc.html#TOC109">Class Inheritance of Major SUIF Structures</A></H2>

<P>
All major SUIF data structures are derived from the <CODE>suif_object</CODE>
base class. See section <A HREF="suif1_83.html#SEC83">SUIF Objects</A>. The class <CODE>file_set_entry</CODE> is
defined in section <A HREF="suif1_9.html#SEC9">File Set Entries</A>, the class <CODE>tree_node</CODE> and its
derived classes are explained in section <A HREF="suif1_11.html#SEC11">Tree Nodes</A>, the class
<CODE>sym_node</CODE> and its derived classes are described in section <A HREF="suif1_51.html#SEC51">Symbols</A>,
the class <CODE>type_node</CODE> and its derived classes are defined in
section <A HREF="suif1_59.html#SEC59">Types</A>, the class <CODE>instruction</CODE> and its derived classes are
defined in section <A HREF="suif1_22.html#SEC22">Instructions and Expression Trees</A> and the class <CODE>var_def</CODE> is defined in
section <A HREF="suif1_55.html#SEC55">Variable Symbols</A>.

</P>
<P>

<img src="suif_inherit.gif">

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_108.html">previous</A>, <A HREF="suif1_110.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
